]> code.delx.au - gnu-emacs/blob - m4/gnulib-comp.m4
Ibuffer: Mark locked buffers
[gnu-emacs] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2016 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40
41 # Pre-early section.
42 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
43 AC_REQUIRE([gl_PROG_AR_RANLIB])
44
45 # Code from module absolute-header:
46 # Code from module acl-permissions:
47 # Code from module alloca-opt:
48 # Code from module allocator:
49 # Code from module at-internal:
50 # Code from module binary-io:
51 # Code from module byteswap:
52 # Code from module c-ctype:
53 # Code from module c-strcase:
54 # Code from module careadlinkat:
55 # Code from module clock-time:
56 # Code from module close-stream:
57 # Code from module count-one-bits:
58 # Code from module count-trailing-zeros:
59 # Code from module crypto/md5:
60 # Code from module crypto/sha1:
61 # Code from module crypto/sha256:
62 # Code from module crypto/sha512:
63 # Code from module dirent:
64 # Code from module dirfd:
65 # Code from module dosname:
66 # Code from module dtoastr:
67 # Code from module dtotimespec:
68 # Code from module dup2:
69 # Code from module environ:
70 # Code from module errno:
71 # Code from module euidaccess:
72 # Code from module execinfo:
73 # Code from module extensions:
74 # Code from module extern-inline:
75 # Code from module faccessat:
76 # Code from module fcntl:
77 # Code from module fcntl-h:
78 # Code from module fdatasync:
79 # Code from module fdopendir:
80 # Code from module filemode:
81 # Code from module filevercmp:
82 # Code from module fpending:
83 # Code from module fstatat:
84 # Code from module fsync:
85 # Code from module getdtablesize:
86 # Code from module getgroups:
87 # Code from module getloadavg:
88 # Code from module getopt-gnu:
89 # Code from module getopt-posix:
90 # Code from module gettext-h:
91 # Code from module gettime:
92 # Code from module gettimeofday:
93 # Code from module gitlog-to-changelog:
94 # Code from module group-member:
95 # Code from module ignore-value:
96 # Code from module include_next:
97 # Code from module intprops:
98 # Code from module inttypes-incomplete:
99 # Code from module largefile:
100 AC_REQUIRE([AC_SYS_LARGEFILE])
101 # Code from module lstat:
102 # Code from module manywarnings:
103 # Code from module memrchr:
104 # Code from module mkostemp:
105 # Code from module mktime:
106 # Code from module mktime-internal:
107 # Code from module multiarch:
108 # Code from module nocrash:
109 # Code from module openat-h:
110 # Code from module pathmax:
111 # Code from module pipe2:
112 # Code from module pselect:
113 # Code from module pthread_sigmask:
114 # Code from module putenv:
115 # Code from module qcopy-acl:
116 # Code from module readlink:
117 # Code from module readlinkat:
118 # Code from module root-uid:
119 # Code from module secure_getenv:
120 # Code from module sig2str:
121 # Code from module signal-h:
122 # Code from module snippet/_Noreturn:
123 # Code from module snippet/arg-nonnull:
124 # Code from module snippet/c++defs:
125 # Code from module snippet/warn-on-use:
126 # Code from module socklen:
127 # Code from module ssize_t:
128 # Code from module stat:
129 # Code from module stat-time:
130 # Code from module std-gnu11:
131 # Code from module stdalign:
132 # Code from module stddef:
133 # Code from module stdint:
134 # Code from module stdio:
135 # Code from module stdlib:
136 # Code from module stpcpy:
137 # Code from module strftime:
138 # Code from module string:
139 # Code from module strtoimax:
140 # Code from module strtoll:
141 # Code from module strtoull:
142 # Code from module strtoumax:
143 # Code from module symlink:
144 # Code from module sys_select:
145 # Code from module sys_stat:
146 # Code from module sys_time:
147 # Code from module sys_types:
148 # Code from module tempname:
149 # Code from module time:
150 # Code from module time_r:
151 # Code from module time_rz:
152 # Code from module timegm:
153 # Code from module timer-time:
154 # Code from module timespec:
155 # Code from module timespec-add:
156 # Code from module timespec-sub:
157 # Code from module u64:
158 # Code from module unistd:
159 # Code from module update-copyright:
160 # Code from module utimens:
161 # Code from module vararrays:
162 # Code from module verify:
163 # Code from module vla:
164 # Code from module warnings:
165 # Code from module xalloc-oversized:
166 ])
167
168 # This macro should be invoked from ./configure.ac, in the section
169 # "Check for header files, types and library functions".
170 AC_DEFUN([gl_INIT],
171 [
172 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
173 gl_cond_libtool=false
174 gl_libdeps=
175 gl_ltlibdeps=
176 gl_m4_base='m4'
177 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
178 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
179 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
180 m4_pushdef([gl_LIBSOURCES_LIST], [])
181 m4_pushdef([gl_LIBSOURCES_DIR], [])
182 gl_COMMON
183 gl_source_base='lib'
184 gl_FUNC_ACL
185 gl_FUNC_ALLOCA
186 gl_BYTESWAP
187 AC_CHECK_FUNCS_ONCE([readlinkat])
188 gl_CLOCK_TIME
189 gl_CLOSE_STREAM
190 gl_MODULE_INDICATOR([close-stream])
191 gl_COUNT_ONE_BITS
192 gl_COUNT_TRAILING_ZEROS
193 gl_MD5
194 gl_SHA1
195 gl_SHA256
196 gl_SHA512
197 gl_DIRENT_H
198 AC_REQUIRE([gl_C99_STRTOLD])
199 gl_FUNC_DUP2
200 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
201 AC_LIBOBJ([dup2])
202 gl_PREREQ_DUP2
203 fi
204 gl_UNISTD_MODULE_INDICATOR([dup2])
205 gl_ENVIRON
206 gl_UNISTD_MODULE_INDICATOR([environ])
207 gl_HEADER_ERRNO_H
208 gl_EXECINFO_H
209 AC_REQUIRE([gl_EXTERN_INLINE])
210 gl_FUNC_FACCESSAT
211 if test $HAVE_FACCESSAT = 0; then
212 AC_LIBOBJ([faccessat])
213 gl_PREREQ_FACCESSAT
214 fi
215 gl_MODULE_INDICATOR([faccessat])
216 gl_UNISTD_MODULE_INDICATOR([faccessat])
217 gl_FUNC_FCNTL
218 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
219 AC_LIBOBJ([fcntl])
220 fi
221 gl_FCNTL_MODULE_INDICATOR([fcntl])
222 gl_FCNTL_H
223 gl_FUNC_FDATASYNC
224 if test $HAVE_FDATASYNC = 0; then
225 AC_LIBOBJ([fdatasync])
226 fi
227 gl_UNISTD_MODULE_INDICATOR([fdatasync])
228 gl_FUNC_FDOPENDIR
229 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
230 AC_LIBOBJ([fdopendir])
231 fi
232 gl_DIRENT_MODULE_INDICATOR([fdopendir])
233 gl_MODULE_INDICATOR([fdopendir])
234 gl_FILEMODE
235 gl_FUNC_FPENDING
236 if test $gl_cv_func___fpending = no; then
237 AC_LIBOBJ([fpending])
238 gl_PREREQ_FPENDING
239 fi
240 gl_FUNC_FSTATAT
241 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
242 AC_LIBOBJ([fstatat])
243 fi
244 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
245 gl_FUNC_FSYNC
246 if test $HAVE_FSYNC = 0; then
247 AC_LIBOBJ([fsync])
248 gl_PREREQ_FSYNC
249 fi
250 gl_UNISTD_MODULE_INDICATOR([fsync])
251 gl_GETLOADAVG
252 if test $HAVE_GETLOADAVG = 0; then
253 AC_LIBOBJ([getloadavg])
254 gl_PREREQ_GETLOADAVG
255 fi
256 gl_STDLIB_MODULE_INDICATOR([getloadavg])
257 gl_FUNC_GETOPT_GNU
258 if test $REPLACE_GETOPT = 1; then
259 AC_LIBOBJ([getopt])
260 AC_LIBOBJ([getopt1])
261 gl_PREREQ_GETOPT
262 dnl Arrange for unistd.h to include getopt.h.
263 GNULIB_GL_UNISTD_H_GETOPT=1
264 fi
265 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
266 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
267 gl_FUNC_GETOPT_POSIX
268 if test $REPLACE_GETOPT = 1; then
269 AC_LIBOBJ([getopt])
270 AC_LIBOBJ([getopt1])
271 gl_PREREQ_GETOPT
272 dnl Arrange for unistd.h to include getopt.h.
273 GNULIB_GL_UNISTD_H_GETOPT=1
274 fi
275 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
276 gl_GETTIME
277 gl_FUNC_GETTIMEOFDAY
278 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
279 AC_LIBOBJ([gettimeofday])
280 gl_PREREQ_GETTIMEOFDAY
281 fi
282 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
283 gl_INTTYPES_INCOMPLETE
284 AC_REQUIRE([gl_LARGEFILE])
285 gl_FUNC_LSTAT
286 if test $REPLACE_LSTAT = 1; then
287 AC_LIBOBJ([lstat])
288 gl_PREREQ_LSTAT
289 fi
290 gl_SYS_STAT_MODULE_INDICATOR([lstat])
291 gl_FUNC_MEMRCHR
292 if test $ac_cv_func_memrchr = no; then
293 AC_LIBOBJ([memrchr])
294 gl_PREREQ_MEMRCHR
295 fi
296 gl_STRING_MODULE_INDICATOR([memrchr])
297 gl_FUNC_MKOSTEMP
298 if test $HAVE_MKOSTEMP = 0; then
299 AC_LIBOBJ([mkostemp])
300 gl_PREREQ_MKOSTEMP
301 fi
302 gl_MODULE_INDICATOR([mkostemp])
303 gl_STDLIB_MODULE_INDICATOR([mkostemp])
304 gl_FUNC_MKTIME
305 if test $REPLACE_MKTIME = 1; then
306 AC_LIBOBJ([mktime])
307 gl_PREREQ_MKTIME
308 fi
309 gl_TIME_MODULE_INDICATOR([mktime])
310 gl_MULTIARCH
311 gl_FUNC_PIPE2
312 gl_UNISTD_MODULE_INDICATOR([pipe2])
313 gl_FUNC_PSELECT
314 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
315 AC_LIBOBJ([pselect])
316 fi
317 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
318 gl_FUNC_PTHREAD_SIGMASK
319 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
320 AC_LIBOBJ([pthread_sigmask])
321 gl_PREREQ_PTHREAD_SIGMASK
322 fi
323 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
324 gl_FUNC_PUTENV
325 if test $REPLACE_PUTENV = 1; then
326 AC_LIBOBJ([putenv])
327 gl_PREREQ_PUTENV
328 fi
329 gl_STDLIB_MODULE_INDICATOR([putenv])
330 gl_FUNC_READLINK
331 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
332 AC_LIBOBJ([readlink])
333 gl_PREREQ_READLINK
334 fi
335 gl_UNISTD_MODULE_INDICATOR([readlink])
336 gl_FUNC_READLINKAT
337 if test $HAVE_READLINKAT = 0 || test $REPLACE_READLINKAT = 1; then
338 AC_LIBOBJ([readlinkat])
339 fi
340 gl_UNISTD_MODULE_INDICATOR([readlinkat])
341 gl_FUNC_SIG2STR
342 if test $ac_cv_func_sig2str = no; then
343 AC_LIBOBJ([sig2str])
344 gl_PREREQ_SIG2STR
345 fi
346 gl_SIGNAL_H
347 gl_TYPE_SOCKLEN_T
348 gt_TYPE_SSIZE_T
349 gl_STAT_TIME
350 gl_STAT_BIRTHTIME
351 gl_STDALIGN_H
352 gl_STDDEF_H
353 gl_STDINT_H
354 gl_STDIO_H
355 gl_STDLIB_H
356 gl_FUNC_STPCPY
357 if test $HAVE_STPCPY = 0; then
358 AC_LIBOBJ([stpcpy])
359 gl_PREREQ_STPCPY
360 fi
361 gl_STRING_MODULE_INDICATOR([stpcpy])
362 gl_FUNC_GNU_STRFTIME
363 gl_HEADER_STRING_H
364 gl_FUNC_STRTOIMAX
365 if test $HAVE_DECL_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
366 AC_LIBOBJ([strtoimax])
367 gl_PREREQ_STRTOIMAX
368 fi
369 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
370 gl_FUNC_STRTOUMAX
371 if test $HAVE_DECL_STRTOUMAX = 0 || test $REPLACE_STRTOUMAX = 1; then
372 AC_LIBOBJ([strtoumax])
373 gl_PREREQ_STRTOUMAX
374 fi
375 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
376 gl_FUNC_SYMLINK
377 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
378 AC_LIBOBJ([symlink])
379 fi
380 gl_UNISTD_MODULE_INDICATOR([symlink])
381 gl_HEADER_SYS_SELECT
382 AC_PROG_MKDIR_P
383 gl_HEADER_SYS_STAT_H
384 AC_PROG_MKDIR_P
385 gl_HEADER_SYS_TIME_H
386 AC_PROG_MKDIR_P
387 gl_SYS_TYPES_H
388 AC_PROG_MKDIR_P
389 gl_HEADER_TIME_H
390 gl_TIME_R
391 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
392 AC_LIBOBJ([time_r])
393 gl_PREREQ_TIME_R
394 fi
395 gl_TIME_MODULE_INDICATOR([time_r])
396 gl_TIME_RZ
397 if test "$HAVE_TIMEZONE_T" = 0; then
398 AC_LIBOBJ([time_rz])
399 fi
400 gl_TIME_MODULE_INDICATOR([time_rz])
401 gl_FUNC_TIMEGM
402 if test $HAVE_TIMEGM = 0 || test $REPLACE_TIMEGM = 1; then
403 AC_LIBOBJ([timegm])
404 gl_PREREQ_TIMEGM
405 fi
406 gl_TIME_MODULE_INDICATOR([timegm])
407 gl_TIMER_TIME
408 gl_TIMESPEC
409 gl_UNISTD_H
410 gl_UTIMENS
411 AC_C_VARARRAYS
412 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
413 gl_gnulib_enabled_dirfd=false
414 gl_gnulib_enabled_dosname=false
415 gl_gnulib_enabled_euidaccess=false
416 gl_gnulib_enabled_getdtablesize=false
417 gl_gnulib_enabled_getgroups=false
418 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
419 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
420 gl_gnulib_enabled_5264294aa0a5557541b53c8c741f7f31=false
421 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
422 gl_gnulib_enabled_pathmax=false
423 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
424 gl_gnulib_enabled_secure_getenv=false
425 gl_gnulib_enabled_stat=false
426 gl_gnulib_enabled_strtoll=false
427 gl_gnulib_enabled_strtoull=false
428 gl_gnulib_enabled_tempname=false
429 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
430 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
431 {
432 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
433 AC_LIBOBJ([openat-proc])
434 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
435 fi
436 }
437 func_gl_gnulib_m4code_dirfd ()
438 {
439 if ! $gl_gnulib_enabled_dirfd; then
440 gl_FUNC_DIRFD
441 if test $ac_cv_func_dirfd = no && test $gl_cv_func_dirfd_macro = no \
442 || test $REPLACE_DIRFD = 1; then
443 AC_LIBOBJ([dirfd])
444 gl_PREREQ_DIRFD
445 fi
446 gl_DIRENT_MODULE_INDICATOR([dirfd])
447 gl_gnulib_enabled_dirfd=true
448 fi
449 }
450 func_gl_gnulib_m4code_dosname ()
451 {
452 if ! $gl_gnulib_enabled_dosname; then
453 gl_gnulib_enabled_dosname=true
454 fi
455 }
456 func_gl_gnulib_m4code_euidaccess ()
457 {
458 if ! $gl_gnulib_enabled_euidaccess; then
459 gl_FUNC_EUIDACCESS
460 if test $HAVE_EUIDACCESS = 0; then
461 AC_LIBOBJ([euidaccess])
462 gl_PREREQ_EUIDACCESS
463 fi
464 gl_UNISTD_MODULE_INDICATOR([euidaccess])
465 gl_gnulib_enabled_euidaccess=true
466 if test $HAVE_EUIDACCESS = 0; then
467 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
468 fi
469 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
470 if test $HAVE_EUIDACCESS = 0; then
471 func_gl_gnulib_m4code_stat
472 fi
473 fi
474 }
475 func_gl_gnulib_m4code_getdtablesize ()
476 {
477 if ! $gl_gnulib_enabled_getdtablesize; then
478 gl_FUNC_GETDTABLESIZE
479 if test $HAVE_GETDTABLESIZE = 0 || test $REPLACE_GETDTABLESIZE = 1; then
480 AC_LIBOBJ([getdtablesize])
481 gl_PREREQ_GETDTABLESIZE
482 fi
483 gl_UNISTD_MODULE_INDICATOR([getdtablesize])
484 gl_gnulib_enabled_getdtablesize=true
485 fi
486 }
487 func_gl_gnulib_m4code_getgroups ()
488 {
489 if ! $gl_gnulib_enabled_getgroups; then
490 gl_FUNC_GETGROUPS
491 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
492 AC_LIBOBJ([getgroups])
493 fi
494 gl_UNISTD_MODULE_INDICATOR([getgroups])
495 gl_gnulib_enabled_getgroups=true
496 fi
497 }
498 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
499 {
500 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
501 AC_SUBST([LIBINTL])
502 AC_SUBST([LTLIBINTL])
503 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
504 fi
505 }
506 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
507 {
508 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
509 gl_FUNC_GROUP_MEMBER
510 if test $HAVE_GROUP_MEMBER = 0; then
511 AC_LIBOBJ([group-member])
512 gl_PREREQ_GROUP_MEMBER
513 fi
514 gl_UNISTD_MODULE_INDICATOR([group-member])
515 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
516 if test $HAVE_GROUP_MEMBER = 0; then
517 func_gl_gnulib_m4code_getgroups
518 fi
519 if test $HAVE_GROUP_MEMBER = 0; then
520 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
521 fi
522 fi
523 }
524 func_gl_gnulib_m4code_5264294aa0a5557541b53c8c741f7f31 ()
525 {
526 if ! $gl_gnulib_enabled_5264294aa0a5557541b53c8c741f7f31; then
527 gl_FUNC_MKTIME_INTERNAL
528 if test $REPLACE_MKTIME = 1; then
529 AC_LIBOBJ([mktime])
530 gl_PREREQ_MKTIME
531 fi
532 gl_gnulib_enabled_5264294aa0a5557541b53c8c741f7f31=true
533 fi
534 }
535 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
536 {
537 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
538 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
539 fi
540 }
541 func_gl_gnulib_m4code_pathmax ()
542 {
543 if ! $gl_gnulib_enabled_pathmax; then
544 gl_PATHMAX
545 gl_gnulib_enabled_pathmax=true
546 fi
547 }
548 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
549 {
550 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
551 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
552 fi
553 }
554 func_gl_gnulib_m4code_secure_getenv ()
555 {
556 if ! $gl_gnulib_enabled_secure_getenv; then
557 gl_FUNC_SECURE_GETENV
558 if test $HAVE_SECURE_GETENV = 0; then
559 AC_LIBOBJ([secure_getenv])
560 gl_PREREQ_SECURE_GETENV
561 fi
562 gl_STDLIB_MODULE_INDICATOR([secure_getenv])
563 gl_gnulib_enabled_secure_getenv=true
564 fi
565 }
566 func_gl_gnulib_m4code_stat ()
567 {
568 if ! $gl_gnulib_enabled_stat; then
569 gl_FUNC_STAT
570 if test $REPLACE_STAT = 1; then
571 AC_LIBOBJ([stat])
572 gl_PREREQ_STAT
573 fi
574 gl_SYS_STAT_MODULE_INDICATOR([stat])
575 gl_gnulib_enabled_stat=true
576 if test $REPLACE_STAT = 1; then
577 func_gl_gnulib_m4code_dosname
578 fi
579 if test $REPLACE_STAT = 1; then
580 func_gl_gnulib_m4code_pathmax
581 fi
582 fi
583 }
584 func_gl_gnulib_m4code_strtoll ()
585 {
586 if ! $gl_gnulib_enabled_strtoll; then
587 gl_FUNC_STRTOLL
588 if test $HAVE_STRTOLL = 0; then
589 AC_LIBOBJ([strtoll])
590 gl_PREREQ_STRTOLL
591 fi
592 gl_STDLIB_MODULE_INDICATOR([strtoll])
593 gl_gnulib_enabled_strtoll=true
594 fi
595 }
596 func_gl_gnulib_m4code_strtoull ()
597 {
598 if ! $gl_gnulib_enabled_strtoull; then
599 gl_FUNC_STRTOULL
600 if test $HAVE_STRTOULL = 0; then
601 AC_LIBOBJ([strtoull])
602 gl_PREREQ_STRTOULL
603 fi
604 gl_STDLIB_MODULE_INDICATOR([strtoull])
605 gl_gnulib_enabled_strtoull=true
606 fi
607 }
608 func_gl_gnulib_m4code_tempname ()
609 {
610 if ! $gl_gnulib_enabled_tempname; then
611 gl_FUNC_GEN_TEMPNAME
612 gl_gnulib_enabled_tempname=true
613 func_gl_gnulib_m4code_secure_getenv
614 fi
615 }
616 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
617 {
618 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
619 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
620 fi
621 }
622 if test $HAVE_FACCESSAT = 0; then
623 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
624 fi
625 if test $HAVE_FACCESSAT = 0; then
626 func_gl_gnulib_m4code_dosname
627 fi
628 if test $HAVE_FACCESSAT = 0; then
629 func_gl_gnulib_m4code_euidaccess
630 fi
631 if test $HAVE_FACCESSAT = 0; then
632 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
633 fi
634 if test $HAVE_FCNTL = 0 || test $REPLACE_FCNTL = 1; then
635 func_gl_gnulib_m4code_getdtablesize
636 fi
637 if test $HAVE_FDOPENDIR = 0; then
638 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
639 fi
640 if test $HAVE_FDOPENDIR = 0; then
641 func_gl_gnulib_m4code_dirfd
642 fi
643 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
644 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
645 fi
646 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
647 func_gl_gnulib_m4code_dosname
648 fi
649 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
650 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
651 fi
652 if test $REPLACE_GETOPT = 1; then
653 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
654 fi
655 if test $REPLACE_LSTAT = 1; then
656 func_gl_gnulib_m4code_dosname
657 fi
658 if test $REPLACE_LSTAT = 1; then
659 func_gl_gnulib_m4code_stat
660 fi
661 if test $HAVE_MKOSTEMP = 0; then
662 func_gl_gnulib_m4code_tempname
663 fi
664 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
665 func_gl_gnulib_m4code_stat
666 fi
667 if test $HAVE_READLINKAT = 0; then
668 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
669 fi
670 if test $HAVE_READLINKAT = 0; then
671 func_gl_gnulib_m4code_dosname
672 fi
673 if test $HAVE_READLINKAT = 0; then
674 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
675 fi
676 if { test $HAVE_DECL_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
677 func_gl_gnulib_m4code_strtoll
678 fi
679 if { test $HAVE_DECL_STRTOUMAX = 0 || test $REPLACE_STRTOUMAX = 1; } && test $ac_cv_type_unsigned_long_long_int = yes; then
680 func_gl_gnulib_m4code_strtoull
681 fi
682 if test $HAVE_TIMEGM = 0 || test $REPLACE_TIMEGM = 1; then
683 func_gl_gnulib_m4code_5264294aa0a5557541b53c8c741f7f31
684 fi
685 m4_pattern_allow([^gl_GNULIB_ENABLED_])
686 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
687 AM_CONDITIONAL([gl_GNULIB_ENABLED_dirfd], [$gl_gnulib_enabled_dirfd])
688 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
689 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
690 AM_CONDITIONAL([gl_GNULIB_ENABLED_getdtablesize], [$gl_gnulib_enabled_getdtablesize])
691 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
692 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
693 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
694 AM_CONDITIONAL([gl_GNULIB_ENABLED_5264294aa0a5557541b53c8c741f7f31], [$gl_gnulib_enabled_5264294aa0a5557541b53c8c741f7f31])
695 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
696 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
697 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
698 AM_CONDITIONAL([gl_GNULIB_ENABLED_secure_getenv], [$gl_gnulib_enabled_secure_getenv])
699 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
700 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
701 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
702 AM_CONDITIONAL([gl_GNULIB_ENABLED_tempname], [$gl_gnulib_enabled_tempname])
703 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
704 # End of code from modules
705 m4_ifval(gl_LIBSOURCES_LIST, [
706 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
707 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
708 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
709 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
710 exit 1
711 fi
712 done])dnl
713 m4_if(m4_sysval, [0], [],
714 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
715 ])
716 m4_popdef([gl_LIBSOURCES_DIR])
717 m4_popdef([gl_LIBSOURCES_LIST])
718 m4_popdef([AC_LIBSOURCES])
719 m4_popdef([AC_REPLACE_FUNCS])
720 m4_popdef([AC_LIBOBJ])
721 AC_CONFIG_COMMANDS_PRE([
722 gl_libobjs=
723 gl_ltlibobjs=
724 if test -n "$gl_LIBOBJS"; then
725 # Remove the extension.
726 sed_drop_objext='s/\.o$//;s/\.obj$//'
727 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
728 gl_libobjs="$gl_libobjs $i.$ac_objext"
729 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
730 done
731 fi
732 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
733 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
734 ])
735 gltests_libdeps=
736 gltests_ltlibdeps=
737 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
738 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
739 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
740 m4_pushdef([gltests_LIBSOURCES_LIST], [])
741 m4_pushdef([gltests_LIBSOURCES_DIR], [])
742 gl_COMMON
743 gl_source_base='tests'
744 changequote(,)dnl
745 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
746 changequote([, ])dnl
747 AC_SUBST([gltests_WITNESS])
748 gl_module_indicator_condition=$gltests_WITNESS
749 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
750 m4_pattern_allow([^gl_GNULIB_ENABLED_])
751 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
752 m4_ifval(gltests_LIBSOURCES_LIST, [
753 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
754 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
755 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
756 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
757 exit 1
758 fi
759 done])dnl
760 m4_if(m4_sysval, [0], [],
761 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
762 ])
763 m4_popdef([gltests_LIBSOURCES_DIR])
764 m4_popdef([gltests_LIBSOURCES_LIST])
765 m4_popdef([AC_LIBSOURCES])
766 m4_popdef([AC_REPLACE_FUNCS])
767 m4_popdef([AC_LIBOBJ])
768 AC_CONFIG_COMMANDS_PRE([
769 gltests_libobjs=
770 gltests_ltlibobjs=
771 if test -n "$gltests_LIBOBJS"; then
772 # Remove the extension.
773 sed_drop_objext='s/\.o$//;s/\.obj$//'
774 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
775 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
776 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
777 done
778 fi
779 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
780 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
781 ])
782 LIBGNU_LIBDEPS="$gl_libdeps"
783 AC_SUBST([LIBGNU_LIBDEPS])
784 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
785 AC_SUBST([LIBGNU_LTLIBDEPS])
786 ])
787
788 # Like AC_LIBOBJ, except that the module name goes
789 # into gl_LIBOBJS instead of into LIBOBJS.
790 AC_DEFUN([gl_LIBOBJ], [
791 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
792 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
793 ])
794
795 # Like AC_REPLACE_FUNCS, except that the module name goes
796 # into gl_LIBOBJS instead of into LIBOBJS.
797 AC_DEFUN([gl_REPLACE_FUNCS], [
798 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
799 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
800 ])
801
802 # Like AC_LIBSOURCES, except the directory where the source file is
803 # expected is derived from the gnulib-tool parameterization,
804 # and alloca is special cased (for the alloca-opt module).
805 # We could also entirely rely on EXTRA_lib..._SOURCES.
806 AC_DEFUN([gl_LIBSOURCES], [
807 m4_foreach([_gl_NAME], [$1], [
808 m4_if(_gl_NAME, [alloca.c], [], [
809 m4_define([gl_LIBSOURCES_DIR], [lib])
810 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
811 ])
812 ])
813 ])
814
815 # Like AC_LIBOBJ, except that the module name goes
816 # into gltests_LIBOBJS instead of into LIBOBJS.
817 AC_DEFUN([gltests_LIBOBJ], [
818 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
819 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
820 ])
821
822 # Like AC_REPLACE_FUNCS, except that the module name goes
823 # into gltests_LIBOBJS instead of into LIBOBJS.
824 AC_DEFUN([gltests_REPLACE_FUNCS], [
825 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
826 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
827 ])
828
829 # Like AC_LIBSOURCES, except the directory where the source file is
830 # expected is derived from the gnulib-tool parameterization,
831 # and alloca is special cased (for the alloca-opt module).
832 # We could also entirely rely on EXTRA_lib..._SOURCES.
833 AC_DEFUN([gltests_LIBSOURCES], [
834 m4_foreach([_gl_NAME], [$1], [
835 m4_if(_gl_NAME, [alloca.c], [], [
836 m4_define([gltests_LIBSOURCES_DIR], [tests])
837 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
838 ])
839 ])
840 ])
841
842 # This macro records the list of files which have been installed by
843 # gnulib-tool and may be removed by future gnulib-tool invocations.
844 AC_DEFUN([gl_FILE_LIST], [
845 build-aux/gitlog-to-changelog
846 build-aux/snippet/_Noreturn.h
847 build-aux/snippet/arg-nonnull.h
848 build-aux/snippet/c++defs.h
849 build-aux/snippet/warn-on-use.h
850 build-aux/update-copyright
851 lib/acl-errno-valid.c
852 lib/acl-internal.c
853 lib/acl-internal.h
854 lib/acl.h
855 lib/acl_entries.c
856 lib/alloca.in.h
857 lib/allocator.c
858 lib/allocator.h
859 lib/at-func.c
860 lib/binary-io.c
861 lib/binary-io.h
862 lib/byteswap.in.h
863 lib/c-ctype.c
864 lib/c-ctype.h
865 lib/c-strcase.h
866 lib/c-strcasecmp.c
867 lib/c-strncasecmp.c
868 lib/careadlinkat.c
869 lib/careadlinkat.h
870 lib/close-stream.c
871 lib/close-stream.h
872 lib/count-one-bits.c
873 lib/count-one-bits.h
874 lib/count-trailing-zeros.c
875 lib/count-trailing-zeros.h
876 lib/dirent.in.h
877 lib/dirfd.c
878 lib/dosname.h
879 lib/dtoastr.c
880 lib/dtotimespec.c
881 lib/dup2.c
882 lib/errno.in.h
883 lib/euidaccess.c
884 lib/execinfo.c
885 lib/execinfo.in.h
886 lib/faccessat.c
887 lib/fcntl.c
888 lib/fcntl.in.h
889 lib/fdatasync.c
890 lib/fdopendir.c
891 lib/filemode.c
892 lib/filemode.h
893 lib/filevercmp.c
894 lib/filevercmp.h
895 lib/fpending.c
896 lib/fpending.h
897 lib/fstatat.c
898 lib/fsync.c
899 lib/ftoastr.c
900 lib/ftoastr.h
901 lib/get-permissions.c
902 lib/getdtablesize.c
903 lib/getgroups.c
904 lib/getloadavg.c
905 lib/getopt.c
906 lib/getopt.in.h
907 lib/getopt1.c
908 lib/getopt_int.h
909 lib/gettext.h
910 lib/gettime.c
911 lib/gettimeofday.c
912 lib/gl_openssl.h
913 lib/group-member.c
914 lib/ignore-value.h
915 lib/intprops.h
916 lib/inttypes.in.h
917 lib/lstat.c
918 lib/md5.c
919 lib/md5.h
920 lib/memrchr.c
921 lib/mkostemp.c
922 lib/mktime-internal.h
923 lib/mktime.c
924 lib/openat-priv.h
925 lib/openat-proc.c
926 lib/openat.h
927 lib/pathmax.h
928 lib/pipe2.c
929 lib/pselect.c
930 lib/pthread_sigmask.c
931 lib/putenv.c
932 lib/qcopy-acl.c
933 lib/readlink.c
934 lib/readlinkat.c
935 lib/root-uid.h
936 lib/secure_getenv.c
937 lib/set-permissions.c
938 lib/sha1.c
939 lib/sha1.h
940 lib/sha256.c
941 lib/sha256.h
942 lib/sha512.c
943 lib/sha512.h
944 lib/sig2str.c
945 lib/sig2str.h
946 lib/signal.in.h
947 lib/stat-time.c
948 lib/stat-time.h
949 lib/stat.c
950 lib/stdalign.in.h
951 lib/stddef.in.h
952 lib/stdint.in.h
953 lib/stdio.in.h
954 lib/stdlib.in.h
955 lib/stpcpy.c
956 lib/strftime.c
957 lib/strftime.h
958 lib/string.in.h
959 lib/strtoimax.c
960 lib/strtol.c
961 lib/strtoll.c
962 lib/strtoul.c
963 lib/strtoull.c
964 lib/strtoumax.c
965 lib/symlink.c
966 lib/sys_select.in.h
967 lib/sys_stat.in.h
968 lib/sys_time.in.h
969 lib/sys_types.in.h
970 lib/tempname.c
971 lib/tempname.h
972 lib/time-internal.h
973 lib/time.in.h
974 lib/time_r.c
975 lib/time_rz.c
976 lib/timegm.c
977 lib/timespec-add.c
978 lib/timespec-sub.c
979 lib/timespec.c
980 lib/timespec.h
981 lib/u64.c
982 lib/u64.h
983 lib/unistd.c
984 lib/unistd.in.h
985 lib/utimens.c
986 lib/utimens.h
987 lib/verify.h
988 lib/vla.h
989 lib/xalloc-oversized.h
990 m4/00gnulib.m4
991 m4/absolute-header.m4
992 m4/acl.m4
993 m4/alloca.m4
994 m4/byteswap.m4
995 m4/c-strtod.m4
996 m4/clock_time.m4
997 m4/close-stream.m4
998 m4/count-one-bits.m4
999 m4/count-trailing-zeros.m4
1000 m4/dirent_h.m4
1001 m4/dirfd.m4
1002 m4/dup2.m4
1003 m4/environ.m4
1004 m4/errno_h.m4
1005 m4/euidaccess.m4
1006 m4/execinfo.m4
1007 m4/extensions.m4
1008 m4/extern-inline.m4
1009 m4/faccessat.m4
1010 m4/fcntl-o.m4
1011 m4/fcntl.m4
1012 m4/fcntl_h.m4
1013 m4/fdatasync.m4
1014 m4/fdopendir.m4
1015 m4/filemode.m4
1016 m4/fpending.m4
1017 m4/fstatat.m4
1018 m4/fsync.m4
1019 m4/getdtablesize.m4
1020 m4/getgroups.m4
1021 m4/getloadavg.m4
1022 m4/getopt.m4
1023 m4/gettime.m4
1024 m4/gettimeofday.m4
1025 m4/gl-openssl.m4
1026 m4/gnulib-common.m4
1027 m4/group-member.m4
1028 m4/include_next.m4
1029 m4/inttypes.m4
1030 m4/largefile.m4
1031 m4/longlong.m4
1032 m4/lstat.m4
1033 m4/manywarnings.m4
1034 m4/md5.m4
1035 m4/memrchr.m4
1036 m4/mkostemp.m4
1037 m4/mktime.m4
1038 m4/multiarch.m4
1039 m4/nocrash.m4
1040 m4/off_t.m4
1041 m4/pathmax.m4
1042 m4/pipe2.m4
1043 m4/pselect.m4
1044 m4/pthread_sigmask.m4
1045 m4/putenv.m4
1046 m4/readlink.m4
1047 m4/readlinkat.m4
1048 m4/secure_getenv.m4
1049 m4/sha1.m4
1050 m4/sha256.m4
1051 m4/sha512.m4
1052 m4/sig2str.m4
1053 m4/signal_h.m4
1054 m4/socklen.m4
1055 m4/ssize_t.m4
1056 m4/st_dm_mode.m4
1057 m4/stat-time.m4
1058 m4/stat.m4
1059 m4/std-gnu11.m4
1060 m4/stdalign.m4
1061 m4/stddef_h.m4
1062 m4/stdint.m4
1063 m4/stdio_h.m4
1064 m4/stdlib_h.m4
1065 m4/stpcpy.m4
1066 m4/strftime.m4
1067 m4/string_h.m4
1068 m4/strtoimax.m4
1069 m4/strtoll.m4
1070 m4/strtoull.m4
1071 m4/strtoumax.m4
1072 m4/symlink.m4
1073 m4/sys_select_h.m4
1074 m4/sys_socket_h.m4
1075 m4/sys_stat_h.m4
1076 m4/sys_time_h.m4
1077 m4/sys_types_h.m4
1078 m4/tempname.m4
1079 m4/time_h.m4
1080 m4/time_r.m4
1081 m4/time_rz.m4
1082 m4/timegm.m4
1083 m4/timer_time.m4
1084 m4/timespec.m4
1085 m4/tm_gmtoff.m4
1086 m4/unistd_h.m4
1087 m4/utimbuf.m4
1088 m4/utimens.m4
1089 m4/utimes.m4
1090 m4/vararrays.m4
1091 m4/warn-on-use.m4
1092 m4/warnings.m4
1093 m4/wchar_t.m4
1094 ])